Skip to main content
GET
/
v1
/
watching
/
movies
/
{id}
Movie detail
curl --request GET \
  --url https://api.rewind.rest/v1/watching/movies/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 15,
  "title": "Ferris Bueller's Day Off",
  "year": 1986,
  "director": "John Hughes",
  "directors": [
    "John Hughes"
  ],
  "genres": [
    "Comedy"
  ],
  "duration_min": 103,
  "rating": "PG-13",
  "image": {
    "url": "https://cdn.rewind.rest/watching/movies/15/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
    "thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
    "dominant_color": "#2a2a2a",
    "accent_color": "#c8a882"
  },
  "imdb_id": "tt0091042",
  "tmdb_id": 9377,
  "tmdb_rating": 7.6,
  "tagline": "One man's struggle to take it easy.",
  "summary": "A high school wise guy is determined to have a day off from school, despite what the Principal thinks of that.",
  "watch_history": [
    {
      "id": 1,
      "watched_at": "2026-03-10T02:30:00.000Z",
      "source": "plex",
      "user_rating": null,
      "percent_complete": 100,
      "rewatch": false,
      "review": null,
      "review_url": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.

Path Parameters

id
string
required

Response

Movie detail

id
number
required
title
string
required
year
number | null
required
director
string | null
required
directors
string[]
required
genres
string[]
required
duration_min
number | null
required
rating
string | null
required
image
object
required
imdb_id
string | null
required
tmdb_id
number | null
required
tmdb_rating
number | null
required
tagline
string | null
required
summary
string | null
required
watch_history
object[]
required